aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-08-21 14:13:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-08-21 14:13:23 +0000
commit8397f24e7e260d27e16c0ff621fcda0dfeba3e2e (patch)
tree3cc80f2ba2a68d13225f75e4837c157f4954c9cc
parent49215dddb6eb715823be0e4b21bba37a8fd55ad3 (diff)
parent573d5574fb14d2a2bf4971fcf4f3160ad4d7119a (diff)
downloadaports-8397f24e7e260d27e16c0ff621fcda0dfeba3e2e.tar.gz
aports-8397f24e7e260d27e16c0ff621fcda0dfeba3e2e.tar.bz2
aports-8397f24e7e260d27e16c0ff621fcda0dfeba3e2e.tar.xz
Merge commit 'remotes/mmason/master'
-rw-r--r--testing/antiword/APKBUILD25
-rw-r--r--testing/kamailio/APKBUILD37
-rw-r--r--testing/kamailio/kamailio.initd24
-rw-r--r--testing/kamailio/kamailio.post-install5
-rw-r--r--testing/kamailio/kamailio.pre-install5
-rw-r--r--testing/tcpflow/APKBUILD27
-rw-r--r--unstable/kamailio/APKBUILD24
7 files changed, 123 insertions, 24 deletions
diff --git a/testing/antiword/APKBUILD b/testing/antiword/APKBUILD
new file mode 100644
index 0000000000..75f5bf7343
--- /dev/null
+++ b/testing/antiword/APKBUILD
@@ -0,0 +1,25 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=antiword
+pkgver=0.37
+pkgrel=0
+pkgdesc="free MS Word reader"
+url="http://www.winfield.demon.nl"
+license="GPL"
+depends=""
+makedepends=""
+install=
+subpackages=""
+source="http://www.winfield.demon.nl/linux/antiword-0.37.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ make || return 1
+
+ install -m755 -D "$srcdir"/"$pkgname-$pkgver"/$pkgname "$pkgdir"/usr/bin/$pkgname
+ mkdir -p "$pkgdir"/usr/share/antiword
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/Resources/* "$pkgdir"/usr/share/antiword/
+}
+
+md5sums="f868e2a269edcbc06bf77e89a55898d1 antiword-0.37.tar.gz"
diff --git a/testing/kamailio/APKBUILD b/testing/kamailio/APKBUILD
new file mode 100644
index 0000000000..07dee300ba
--- /dev/null
+++ b/testing/kamailio/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+pkgname=kamailio
+pkgver=1.5.2
+pkgrel=0
+pkgdesc="Open Source SIP Server"
+url="http://www.kamailio.org/"
+license="GPL"
+depends="expat postgresql"
+makedepends="bison flex coreutils expat-dev libpq"
+install=
+subpackages="$pkgname-doc"
+source="http://www.kamailio.org/pub/kamailio/$pkgver/src/$pkgname-$pkgver-notls_src.tar.gz
+ kamailio.initd
+ kamailio.pre-install
+ kamailio.post-install"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver-notls"
+ sed -i -e 's:^cfg-target.*:cfg-target = $(cfg-dir):' \
+ -e 's:^cfg-prefix.*:cfg-prefix = $(basedir):' Makefile.defs
+
+ cd scripts
+ sed -i -e 's:/var/run/kamailio.pid:/var/run/kamailio/kamailio.pid:g' \
+ kamctl.base kamctlrc
+ cd ..
+
+ make prefix=/usr || return 1
+ make prefix=/usr basedir="$pkgdir" install
+
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="6c6f4ed6fbcb4d008b8ac3de5b99ce99 kamailio-1.5.2-notls_src.tar.gz
+e6b93397ec2a1ec094d23d93d87771bd kamailio.initd
+c646af2dd31f5c4289a2f802c873d98f kamailio.pre-install
+3fbaf633ff1620d0d526fc4047c7bed9 kamailio.post-install"
diff --git a/testing/kamailio/kamailio.initd b/testing/kamailio/kamailio.initd
new file mode 100644
index 0000000000..aaea95b3ee
--- /dev/null
+++ b/testing/kamailio/kamailio.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+
+daemon=/usr/sbin/kamailio
+pidfile=/var/run/kamailio/kamailio.pid
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting Kamailio"
+ start-stop-daemon --start --quiet --pidfile $pidfile --exec $daemon \
+ -- \
+ -u ${KAMAILIO_USER:-opensips} \
+ -g ${KAMAILIO_GROUP:-opensips} \
+ -P $pidfile
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Kamailio"
+ start-stop-daemon --stop --quiet --pidfile $pidfile
+ eend $?
+}
diff --git a/testing/kamailio/kamailio.post-install b/testing/kamailio/kamailio.post-install
new file mode 100644
index 0000000000..19fc932dd6
--- /dev/null
+++ b/testing/kamailio/kamailio.post-install
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+chown -R kamailio:kamailio /var/run/kamailio
+chgrp kamailio /etc/kamailio/kamailio.cfg
+exit 0
diff --git a/testing/kamailio/kamailio.pre-install b/testing/kamailio/kamailio.pre-install
new file mode 100644
index 0000000000..78dfa38bf3
--- /dev/null
+++ b/testing/kamailio/kamailio.pre-install
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+adduser -H -h /var/empty -s /bin/false -D kamailio 2>/dev/null
+
+exit 0
diff --git a/testing/tcpflow/APKBUILD b/testing/tcpflow/APKBUILD
new file mode 100644
index 0000000000..244730363d
--- /dev/null
+++ b/testing/tcpflow/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=tcpflow
+pkgver=0.21
+pkgrel=0
+pkgdesc="A Tool for monitoring, capturing and storing TCP connections flows"
+url="http://www.circlemud.org/~jelson/software/tcpflow/"
+license="GPL"
+depends="libpcap"
+makedepends="libpcap-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.circlemud.org/pub/jelson/tcpflow/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+}
+
+md5sums="45a5aef6f043312315b7f342afc4a9c5 tcpflow-0.21.tar.gz"
diff --git a/unstable/kamailio/APKBUILD b/unstable/kamailio/APKBUILD
deleted file mode 100644
index d4b566e1af..0000000000
--- a/unstable/kamailio/APKBUILD
+++ /dev/null
@@ -1,24 +0,0 @@
-# Contributor: Michael Mason <ms13sp@gmail.com>
-pkgname=kamailio
-pkgver=1.5.1
-pkgrel=0
-pkgdesc="Open Source SIP Server"
-url="http://www.kamailio.org/"
-license="GPL"
-depends="uclibc expat postgresql"
-makedepends="bison flex coreutils expat-dev libpq"
-install=
-subpackages="$pkgname-doc"
-source="http://www.kamailio.org/pub/kamailio/1.5.1/src/$pkgname-$pkgver-notls_src.tar.gz"
-
-build() {
- cd "$srcdir/$pkgname-$pkgver-notls"
-
- make prefix=/usr || return 1
- make prefix=/usr basedir="$pkgdir" install
-
- # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
- # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
-}
-
-md5sums="5dd6f66b155d9dde08ee0311439acc10 kamailio-1.5.1-notls_src.tar.gz"